import { default as React } from 'react';

export interface SelectOption {
    value: string;
    label: string;
}
export interface SelectInputProps extends React.ComponentProps<"select"> {
    label?: string;
    labelTextAlt?: string;
    color?: "primary" | "secondary" | "accent" | "info" | "success" | "warning" | "error";
    bordered?: boolean;
    ghost?: boolean;
    inputSize?: "xs" | "sm" | "md" | "lg";
    options: SelectOption[];
    containerWidth?: "w-full" | "w-1/2" | "w-1/3" | "w-1/4" | "w-auto";
    disabled?: boolean;
}
export declare const SelectInput: React.FC<SelectInputProps>;
