import { default as React } from 'react';

interface TabCustomStyles extends React.CSSProperties {
    "--tab-bg"?: string;
    "--tab-border-color"?: string;
    "--tab-text-color"?: string;
}
interface TabItem {
    label: React.ReactNode;
    content?: React.ReactNode;
    icon?: React.ReactNode;
    onClick?: (event: React.MouseEvent) => void;
    isActive?: boolean;
    disabled?: boolean;
    customStyles?: TabCustomStyles;
}
type Variant = "boxed" | "bordered" | "lifted";
type Size = "xs" | "sm" | "md" | "lg";
export interface TabsProps extends React.ComponentProps<"div"> {
    items: TabItem[];
    defaultActiveIndex?: number;
    onTabChange?: (index: number) => void;
    variant?: Variant;
    size?: Size;
    className?: string;
    useRadio?: boolean;
    name?: string;
}
export declare const Tabs: React.FC<TabsProps>;
export {};
